Subject: RE: vim 6.0 & funny ^M
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked]
Date: Fri, 28 Sep 2001 11:06:58 -0700

Thanks to both, what should my .vimrc file look like to set the fileformat?

I tried:

set fileformat=dos,unix

but vim complains with the following...

Error detected while processing /home/chris/.vimrc:
line    1:
Not an editor command: ^M
line    2:
Invalid argument: fileformat=dos,unix^M[~]

-----Original Message-----
From: Kevin Schnitzius [mailto:[email-masked]]
Sent: Friday, September 28, 2001 11:05 AM
To: [email-masked]
Cc: [email-masked]; 'Alex Tang'
Subject: RE: vim 6.0 & funny ^M

Alex has all the right answers.

For 4) I use gsar.  Do a google search for more info.

Kevin

 -----Original Message-----
From: 	Alex Tang [mailto:[email-masked]] 
Sent:	Friday, September 28, 2001 14:02
To:	[email-masked]
Cc:	[email-masked]; [email-masked]
Subject:	Re: vim 6.0 & funny ^M

[email-masked] wrote:

> Thanks for the reply, do you know if:
>
> 1) If setting fileformat="dos", will write files as dos files with
<CR><NL>?

Yes

> 2) If I wanted to have the files written as unix files with the EOL as
just
> <NL>, fileformat should be "unix".

Yes

> 3) is there an easy way I can convert a file within vim from <CR><NL> to
> <NL>

If you have a file opened in "dos" mode, and you want to save it as unix
mode,
do "set fileformat=unix" and then save the file.

You should read the VIM help on "fileformat" and "fileformats".  Basically,
you
should set your fileformats variable to "dos,unix".  If the fileformats
variable
is set, vim will try to perform automatic detection of the file type based
on
the first CR/NL/CRNL in the file.

I think that fileformats is set properly by default in the standard VIM
distribution, however i tweak my config pretty heavily, so i'm not fully
sure
about this.

If all else fails, and you have a file that has a mix of <CR> and <CR><NL>,
you
can always do:

    :%s/<Ctrl-V><Ctrl-M>//g

> 4) Is there a dos2unix for cygwin &

Check out the the d2u and u2d programs in the "misc" package in
CygUtils-1.1:
"http://www.neuro.gatech.edu/users/cwilson/cygutils/V1.1/misc/index.html"

Just my 2 cents...

Good Luck.

...alex...

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/